Bug 298041 - SELinux is preventing /usr/bin/dellWirelessCtl (hald_t) "read" to mem (memory_device_t).
SELinux is preventing /usr/bin/dellWirelessCtl (hald_t) "read" to mem (memory...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-20 08:57 EDT by Rodd Clarkson
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-21 14:58:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rodd Clarkson 2007-09-20 08:57:41 EDT
Description of problem:

setroubleshoot requested I file this bug, and here is what it's saying.

tell me what other information you need.  I'm seeing the count on these go up
about every five seconds or so, so it seems like it needs to be resolved.



Summary
    SELinux is preventing /usr/bin/dellWirelessCtl (hald_t) "read" to mem
    (memory_device_t).

Detailed Description
    SELinux denied access requested by /usr/bin/dellWirelessCtl. It is not
    expected that this access is required by /usr/bin/dellWirelessCtl and this
    access may signal an intrusion attempt. It is also possible that the
    specific version or configuration of the application is causing it to
    require additional access.

Allowing Access
    Sometimes labeling problems can cause SELinux denials.  You could try to
    restore the default system file context for mem, restorecon -v mem If this
    does not work, there is currently no automatic way to allow this access.
    Instead,  you can generate a local policy module to allow this access - see
    http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385 Or you can disable
    SELinux protection altogether. Disabling SELinux protection is not
    recommended. Please file a http://bugzilla.redhat.com/bugzilla/enter_bug.cgi
    against this package.

Additional Information        

Source Context                system_u:system_r:hald_t:s0
Target Context                system_u:object_r:memory_device_t:s0
Target Objects                mem [ chr_file ]
Affected RPM Packages         libsmbios-bin-0.13.10-1.fc8 [application]
Policy RPM                    selinux-policy-3.0.7-10.fc8
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   plugins.catchall_file
Host Name                     localhost.localdomain
Platform                      Linux localhost.localdomain
                              2.6.23-0.184.rc6.git4.fc8 #1 SMP Fri Sep 14
                              17:42:59 EDT 2007 i686 i686
Alert Count                   138
First Seen                    Thu 20 Sep 2007 10:40:50 PM EST
Last Seen                     Thu 20 Sep 2007 10:54:44 PM EST
Local ID                      d0074bd6-d134-4e69-92f6-e643c9330b28
Line Numbers                  

Raw Audit Messages            

avc: denied { read } for comm=dellWirelessCtl dev=tmpfs egid=0 euid=0
exe=/usr/bin/dellWirelessCtl exit=-13 fsgid=0 fsuid=0 gid=0 items=0 name=mem
pid=5313 scontext=system_u:system_r:hald_t:s0 sgid=0
subj=system_u:system_r:hald_t:s0 suid=0 tclass=chr_file
tcontext=system_u:object_r:memory_device_t:s0 tty=(none) uid=0
Comment 1 Daniel Walsh 2007-09-21 14:58:05 EDT
selinux-policy-3.0.8-5.fc8

Note You need to log in before you can comment on or make changes to this bug.